@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package Lib with version v8r8p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_LibUtils
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_Lib_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_Lib_path=%obuild_Lib_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_Lib_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_Lib_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_LibUtils_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_LibUtils_sh_8
:else_if_db_build_lib_LibUtils_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_LibUtils_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_LibUtils_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_LibUtils_sh_9
:else_if_opt_build_lib_LibUtils_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_LibUtils_sh_9


IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_Lib_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_Lib_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash `) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\lib_LibUtils" RMDIR /S /Q "%obuild_Lib_path%\%obuild_dir_bin%\lib_LibUtils"
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\lib_LibUtils" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%\lib_LibUtils"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Mutex.obj  /Tp"..\source\Mutex.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\sout.obj  /Tp"..\source\sout.cxx" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Log.obj  /Tp"..\source\Log.cxx" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\System.obj  /Tp"..\source\System.cxx" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\nmanip.obj  /Tp"..\source\nmanip.cxx" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\cmanip.obj  /Tp"..\source\cmanip.cxx" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\smanip.obj  /Tp"..\source\smanip.cxx" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\sjust.obj  /Tp"..\source\sjust.cxx" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\vmanip.obj  /Tp"..\source\vmanip.cxx" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\dirmanip.obj  /Tp"..\source\dirmanip.cxx" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\fmanip.obj  /Tp"..\source\fmanip.cxx" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\mmanip.obj  /Tp"..\source\mmanip.cxx" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\colormanip.obj  /Tp"..\source\colormanip.cxx" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Date.obj  /Tp"..\source\Date.cxx" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Time.obj  /Tp"..\source\Time.cxx" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Arguments.obj  /Tp"..\source\Arguments.cxx" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Parameters.obj  /Tp"..\source\Parameters.cxx" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Arrays.obj  /Tp"..\source\Arrays.cxx" 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\As.obj  /Tp"..\source\As.cxx" 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\A2s.obj  /Tp"..\source\A2s.cxx" 1> exe_error_19
@IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_19
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\A3s.obj  /Tp"..\source\A3s.cxx" 1> exe_error_20
@IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_20
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\A4s.obj  /Tp"..\source\A4s.cxx" 1> exe_error_21
@IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_21
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Contour.obj  /Tp"..\source\Contour.cxx" 1> exe_error_22
@IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_22
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ListContour.obj  /Tp"..\source\ListContour.cxx" 1> exe_error_23
@IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_23
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\SpaceAlgebra.obj  /Tp"..\source\SpaceAlgebra.cxx" 1> exe_error_24
@IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_24
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Randoms.obj  /Tp"..\source\Randoms.cxx" 1> exe_error_25
@IF ERRORLEVEL 1 @TYPE exe_error_25 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_25
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\StreamBuffer.obj  /Tp"..\source\StreamBuffer.cxx" 1> exe_error_26
@IF ERRORLEVEL 1 @TYPE exe_error_26 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_26
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FString.obj  /Tp"..\source\FString.cxx" 1> exe_error_27
@IF ERRORLEVEL 1 @TYPE exe_error_27 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_27
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FRandom.obj  /Tp"..\source\FRandom.cxx" 1> exe_error_28
@IF ERRORLEVEL 1 @TYPE exe_error_28 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_28
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Out.obj  /Tp"..\source\Out.cxx" 1> exe_error_29
@IF ERRORLEVEL 1 @TYPE exe_error_29 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_29
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Env.obj  /Tp"..\source\Env.cxx" 1> exe_error_30
@IF ERRORLEVEL 1 @TYPE exe_error_30 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_30
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Debug.obj  /Tp"..\source\Debug.cxx" 1> exe_error_31
@IF ERRORLEVEL 1 @TYPE exe_error_31 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_31
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Printer.obj  /Tp"..\source\Printer.cxx" 1> exe_error_32
@IF ERRORLEVEL 1 @TYPE exe_error_32 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_32
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FileWriter.obj  /Tp"..\source\FileWriter.cxx" 1> exe_error_33
@IF ERRORLEVEL 1 @TYPE exe_error_33 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_33
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FileReader.obj  /Tp"..\source\FileReader.cxx" 1> exe_error_34
@IF ERRORLEVEL 1 @TYPE exe_error_34 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_34
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Messages.obj  /Tp"..\source\Messages.cxx" 1> exe_error_35
@IF ERRORLEVEL 1 @TYPE exe_error_35 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_35
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Cloner.obj  /Tp"..\source\Cloner.cxx" 1> exe_error_36
@IF ERRORLEVEL 1 @TYPE exe_error_36 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_36
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Upgrader.obj  /Tp"..\source\Upgrader.cxx" 1> exe_error_37
@IF ERRORLEVEL 1 @TYPE exe_error_37 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_37
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\DLL.obj  /Tp"..\source\DLL.cxx" 1> exe_error_38
@IF ERRORLEVEL 1 @TYPE exe_error_38 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_38
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Dictionary.obj  /Tp"..\source\Dictionary.cxx" 1> exe_error_39
@IF ERRORLEVEL 1 @TYPE exe_error_39 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_39
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ObjectSizeGetter.obj  /Tp"..\source\ObjectSizeGetter.cxx" 1> exe_error_40
@IF ERRORLEVEL 1 @TYPE exe_error_40 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_40
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ObjectWriter.obj  /Tp"..\source\ObjectWriter.cxx" 1> exe_error_41
@IF ERRORLEVEL 1 @TYPE exe_error_41 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_41
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ObjectReader.obj  /Tp"..\source\ObjectReader.cxx" 1> exe_error_42
@IF ERRORLEVEL 1 @TYPE exe_error_42 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_42
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Session.obj  /Tp"..\source\Session.cxx" 1> exe_error_43
@IF ERRORLEVEL 1 @TYPE exe_error_43 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_43
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\LibraryManager.obj  /Tp"..\source\LibraryManager.cxx" 1> exe_error_44
@IF ERRORLEVEL 1 @TYPE exe_error_44 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_44
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\RelationManager.obj  /Tp"..\source\RelationManager.cxx" 1> exe_error_45
@IF ERRORLEVEL 1 @TYPE exe_error_45 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_45
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\RandomFromFunction.obj  /Tp"..\source\RandomFromFunction.cxx" 1> exe_error_46
@IF ERRORLEVEL 1 @TYPE exe_error_46 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_46
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\OpaqueManager.obj  /Tp"..\source\OpaqueManager.cxx" 1> exe_error_47
@IF ERRORLEVEL 1 @TYPE exe_error_47 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_47
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FortranOut.obj  /Tp"..\source\FortranOut.cxx" 1> exe_error_48
@IF ERRORLEVEL 1 @TYPE exe_error_48 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_48
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\valuemanip.obj  /Tp"..\source\valuemanip.cxx" 1> exe_error_49
@IF ERRORLEVEL 1 @TYPE exe_error_49 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_49
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FunctionManager.obj  /Tp"..\source\FunctionManager.cxx" 1> exe_error_50
@IF ERRORLEVEL 1 @TYPE exe_error_50 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_50
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Functions.obj  /Tp"..\source\Functions.cxx" 1> exe_error_51
@IF ERRORLEVEL 1 @TYPE exe_error_51 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_51
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Parser.obj  /Tp"..\source\Parser.cxx" 1> exe_error_52
@IF ERRORLEVEL 1 @TYPE exe_error_52 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_52
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Expression.obj  /Tp"..\source\Expression.cxx" 1> exe_error_53
@IF ERRORLEVEL 1 @TYPE exe_error_53 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_53
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Value.obj  /Tp"..\source\Value.cxx" 1> exe_error_54
@IF ERRORLEVEL 1 @TYPE exe_error_54 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_54
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ExpFunc.obj  /Tp"..\source\ExpFunc.cxx" 1> exe_error_55
@IF ERRORLEVEL 1 @TYPE exe_error_55 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_55
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ProcessorLexer.obj  /Tp"..\source\ProcessorLexer.cxx" 1> exe_error_56
@IF ERRORLEVEL 1 @TYPE exe_error_56 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_56
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ColumnsLexer.obj  /Tp"..\source\ColumnsLexer.cxx" 1> exe_error_57
@IF ERRORLEVEL 1 @TYPE exe_error_57 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_57
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FortranFormatLexer.obj  /Tp"..\source\FortranFormatLexer.cxx" 1> exe_error_58
@IF ERRORLEVEL 1 @TYPE exe_error_58 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_58
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Processor.obj  /Tp"..\source\Processor.cxx" 1> exe_error_59
@IF ERRORLEVEL 1 @TYPE exe_error_59 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_59
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Columns.obj  /Tp"..\source\Columns.cxx" 1> exe_error_60
@IF ERRORLEVEL 1 @TYPE exe_error_60 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_60
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\FortranFormat.obj  /Tp"..\source\FortranFormat.cxx" 1> exe_error_61
@IF ERRORLEVEL 1 @TYPE exe_error_61 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_61
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\calc.obj  /Tp"..\source\calc.cxx" 1> exe_error_62
@IF ERRORLEVEL 1 @TYPE exe_error_62 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_62
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Variable.obj  /Tp"..\source\Variable.cxx" 1> exe_error_63
@IF ERRORLEVEL 1 @TYPE exe_error_63 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_63
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Element.obj  /Tp"..\source\Element.cxx" 1> exe_error_64
@IF ERRORLEVEL 1 @TYPE exe_error_64 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_64
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\ItemML.obj  /Tp"..\source\ItemML.cxx" 1> exe_error_65
@IF ERRORLEVEL 1 @TYPE exe_error_65 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_65
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Handler.obj  /Tp"..\source\Handler.cxx" 1> exe_error_66
@IF ERRORLEVEL 1 @TYPE exe_error_66 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_66
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\Property.obj  /Tp"..\source\Property.cxx" 1> exe_error_67
@IF ERRORLEVEL 1 @TYPE exe_error_67 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_67
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\AccessorManager.obj  /Tp"..\source\AccessorManager.cxx" 1> exe_error_68
@IF ERRORLEVEL 1 @TYPE exe_error_68 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_68
cd "%obuild_Lib_path%\obuild"

cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_LibUtils\BaseAccessor.obj  /Tp"..\source\BaseAccessor.cxx" 1> exe_error_69
@IF ERRORLEVEL 1 @TYPE exe_error_69 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_69
cd "%obuild_Lib_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_85
SET obuild_cxx_linker_command=link.exe
:end_if_platform_85
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_87
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_87
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_89
SET obuild_cxx_linker_options=/nologo
:end_if_platform_89
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_LibUtils_sh_90
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_LibUtils_sh_90
:else_if_db_build_lib_LibUtils_sh_90
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_LibUtils_sh_90

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_LibUtils_sh_91
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_LibUtils_sh_91
:else_if_opt_build_lib_LibUtils_sh_91
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_LibUtils_sh_91

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF EXIST .\lib_LibUtils\tmp_objs DEL .\lib_LibUtils\tmp_objs
FOR %%f IN (.\lib_LibUtils\*.obj) DO ECHO %%f >> .\lib_LibUtils\tmp_objs

REM # Create the archive library LibUtils :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_LibUtils\LibUtils.arc @.\lib_LibUtils\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_Lib_path%\obuild\cpp\obuild_windef.c" 1> exe_error_70
@IF ERRORLEVEL 1 @TYPE exe_error_70 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_70
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_LibUtils\tmp .\lib_LibUtils\LibUtils.arc 1> exe_error_71
@IF ERRORLEVEL 1 @TYPE exe_error_71 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_71
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe LibUtils < .\lib_LibUtils\tmp > .\lib_LibUtils\LibUtils.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\LibUtils.lib /def:.\lib_LibUtils\LibUtils.def 1> exe_error_72
@IF ERRORLEVEL 1 @TYPE exe_error_72 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_72
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\LibUtils.dll DEL .\LibUtils.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\LibUtils.dll .\LibUtils.exp .\lib_LibUtils\LibUtils.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
REM # Some cleanup :
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\lib_LibUtils\tmp_objs" DEL "%obuild_Lib_path%\%obuild_dir_bin%\lib_LibUtils\tmp_objs"
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.exp" DEL "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.exp"

:obuild_return
ENDLOCAL
@ECHO ON
