
#include <Lib/Array.h>
#include <Lib/Printer.h>
#include <Lib/Out.h>
#include <Lib/smanip.h>

#include <Lib/Array.h>

#include <string>

//////////////////////////////////////////////////////////////////////////////
int main(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Printer printer;
  Lib::Out out(printer);

 {std::vector<unsigned int> orders(1);
  orders[0] = 10;
  Lib::Array<double> ad1(orders);
  for(int i=0;i<10;i++) {
    std::vector<unsigned int> is(1);
    is[0] = i;
    ad1.setValue(is,(double)i);
  }
  Lib::print(printer,ad1,"ad(10)");}

 {std::vector<unsigned int> orders(2);
  orders[0] = 10;
  orders[1] = 3;
  Lib::Array<double> ad2_1(orders);
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      ad2_1.setValue(is,(double)(i*j));
    }
  }
 {out << "ad_1(10,3)" << Lib::endl;
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_1.value(is,value);
      out << value << " ";
    }
    out << Lib::endl;
  }}

  Lib::Array<double> ad2_2(orders);
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      ad2_2.setValue(is,(double)(i*(j+1)));
    }
  }
 {out << "ad_2(10,3)" << Lib::endl;
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_2.value(is,value);
      out << value << " ";
    }
    out << Lib::endl;
  }}

  ad2_2.add(ad2_1);
 {out << "ad_2 += ad_1" << Lib::endl;
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_2.value(is,value);
      out << value << " ";
    }
    out << Lib::endl;
  }}

  ad2_2.subtract(ad2_1);
 {out << "ad_2 -= ad_1 " << Lib::endl;
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_2.value(is,value);
      out << value << " ";
    }
    out << Lib::endl;
  }}

  ad2_2.multiply(2);
 {out << "ad_2 *= 2 " << Lib::endl;
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_2.value(is,value);
      out << value << " ";
    }
    out << Lib::endl;
  }}

  ad2_2.add(3);
 {out << "ad_2 += 3 " << Lib::endl;
  for(int j=0;j<3;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_2.value(is,value);
      out << value << " ";
    }
    out << Lib::endl;
  }}
  }


 {std::vector<unsigned int> orders(2);
  orders[0] = 10;
  orders[1] = 6;
  Lib::Array<double> ad2_3(orders);
  std::vector< std::pair<unsigned int,unsigned int> > limits(2);
  limits[0].first = 2;
  limits[0].second = 5;
  limits[1].first = 1;
  limits[1].second = 4;
  std::vector<double> values(100);
  for(int i=0;i<100;i++) values[i] = i;
  ad2_3.fill(values,&limits);
 {out << "ad_3 fill " << Lib::endl;
  for(int j=0;j<6;j++) {
    for(int i=0;i<10;i++) {
      std::vector<unsigned int> is(2);
      is[0] = i;
      is[1] = j;
      double value;
      ad2_3.value(is,value);
      std::string s;
      Lib::smanip::printf(s,32,"%g",value);
      Lib::smanip::justify(s,4);
      out << s;
    }
    out << Lib::endl;
  }}}

 {std::vector<unsigned int> orders(1);
  orders[0] = 10;
  Lib::Array<std::string> ad1(orders);}

  return 0;
}
