#include <dlfcn.h>

#include <stdio.h>

int main(int aArgn,char** aArgc) {

  if(aArgn!=3) {
    printf("Bad argument number. Two expected.\n");
    return 0;
  }

  void* module = ::dlopen(aArgc[1], RTLD_LAZY | RTLD_GLOBAL);
  //void* module = ::dlopen(aArgc[1], RTLD_NOW);
  if(!module) {
    printf("Unable to open \"%s\"\n",aArgc[1]);
    printf(" error \"%s\"\n",dlerror());
    return 0;
  }

  printf("\"%s\" openned.\n",aArgc[1]);

  printf("Seeking symbol \"%s\"...\n",aArgc[2]);

  void* p = ::dlsym(module,aArgc[2]);
  if (!p) {
    printf("Unable to find symbol \"%s\"\n",aArgc[2]);
    return 0;
  }
  printf("Symbol \"%s\" found.\n",aArgc[2]);

  if(::dlclose(module)) {
    printf("Unable to close \"%s\"\n",aArgc[1]);
    printf(" error \"%s\"\n",dlerror());
    return 0;
  }

  return 0;
}
