#!/bin/sh -f

if [ $# -eq 0 ] ; then
  find ../Slash -name "*.h" -print -exec ./check.sh {} \;
  exit
fi

cppflags=""
cppflags="${cppflags} -DSlash_AIDA_IAnalysisFactory_h"
cppflags="${cppflags} -DSlash_Tools_OpenGL_h"
cppflags="${cppflags} -DSlash_Tools_AIDA_h"
cppflags="${cppflags} -DSlash_Tools_Inventor_h"
cppflags="${cppflags} -DSlash_Tools_InventorAccessor_h"
cppflags="${cppflags} -DSlash_Tools_IvNet_h"

dir=`dirname $1`
name=`basename $1`

file="${dir}/${name}.cpp"

/bin/cp $1 ${file}

#echo ${file}

c++ -c ${cppflags} -I.. ${file}

find . -name '*.o' -exec /bin/rm -f {} \;

/bin/rm -f ${file}
