#include <Slash/Tools/colors.h>
//#include <Slash/Tools/host.h>

#include <cstdlib>
#include <iostream>

int main(){

 {Slash::colors colors;
  double r,g,b;

  if(!colors.to_rgb("0.1 0.2 0.3",r,g,b)) return EXIT_FAILURE;
  if((r!=0.1)||(g!=0.2)||(b!=0.3)) {
    std::cout << "error in string color conversion." << std::endl; 
    return EXIT_FAILURE;
  }

  if(colors.to_rgb("0.1 1.2 0.3",r,g,b)) {
    std::cout << "error in string color conversion." << std::endl; 
    return EXIT_FAILURE;
  }

  //BF is 191
  if(!colors.to_rgb("#FF00BF",r,g,b)) return EXIT_FAILURE;
  if((r!=1)||(g!=0)||(b!=(191.0/255.0))) {
    std::cout << "error in string color conversion." << std::endl; 
    return EXIT_FAILURE;
  }

  if(!colors.to_rgb("red",r,g,b)) return EXIT_FAILURE;
  if((r!=1)||(g!=0)||(b!=0)) {
    std::cout << "error in string color conversion." << std::endl; 
    return EXIT_FAILURE;
  }

  if(!colors.to_rgb("mediumorchid",r,g,b)) return EXIT_FAILURE;
  if((r!=0.726574)||(g!=0.332036)||(b!=0.824231)) {
    std::cout << "error in string color conversion." << std::endl; 
    return EXIT_FAILURE;
  }

  if(colors.to_rgb("xxx",r,g,b)) {
    std::cout << "error in string color conversion." << std::endl; 
    return EXIT_FAILURE;
  }

  }

 /*
 {std::string value;
  if(!Slash::host(value)) {
    std::cout << "Slash::host failed." << std::endl; 
    return EXIT_FAILURE;
  }
  std::cout << "host : \"" << value << "\"." << std::endl;}

 {std::string value;
  if(!Slash::user(value)) {
    std::cout << "Slash::user failed." << std::endl; 
    return EXIT_FAILURE;
  }
  std::cout << "user : \"" << value << "\"." << std::endl;}
 */

  return EXIT_SUCCESS;
}
