@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package obuild with version v1r10p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_obuild
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_obuild_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_obuild_path=%obuild_obuild_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%" MKDIR "%obuild_obuild_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%" MKDIR "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_obuild_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_obuild_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_obuild_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_obuild_sh_8
:else_if_db_build_app_obuild_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_app_obuild_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_obuild_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_obuild_sh_9
:else_if_opt_build_app_obuild_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_obuild_sh_9

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_c_command=cl.exe
:end_if_platform_11
SET obuild_platform_result=
IF "%obuild_c_command%" == ""  ECHO Variable obuild_c_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_c_optimize=/O2
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_c_debug=/ZI /Od
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_c_options=/nologo /DWIN32 /MD /W3
:end_if_platform_17
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_obuild_sh_18
  SET obuild_c_debug_local=%obuild_c_debug%
  GOTO end_if_db_build_app_obuild_sh_18
:else_if_db_build_app_obuild_sh_18
  SET obuild_c_debug_local=
:end_if_db_build_app_obuild_sh_18

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_obuild_sh_19
  SET obuild_c_optimize_local=%obuild_c_optimize%
  GOTO end_if_opt_build_app_obuild_sh_19
:else_if_opt_build_app_obuild_sh_19
  SET obuild_c_optimize_local=
:end_if_opt_build_app_obuild_sh_19



SET obuild_c_includes=/I"%obuild_obuild_path%\source"
SET obuild_c_includes=%obuild_c_includes% /I"%obuild_obuild_path%\source\expat"
SET obuild_c_includes=%obuild_c_includes% /I"%obuild_obuild_path%\source\expat\private"

SET obuild_cxx_includes=/I"%obuild_obuild_path%\source"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_obuild_path%\source\expat"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_obuild_path%\include"

IF EXIST "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild" RMDIR /S /Q "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild"
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild" MKDIR "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild"

REM # pre_build scripts :

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\obuild.obj  /Tp"..\applications\obuild.cxx" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Builder.obj  /Tp"..\source\Builder.cxx" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\app_obuild\dllmain.obj "..\source\expat\dllmain.c" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\app_obuild\hashtable.obj "..\source\expat\hashtable.c" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\app_obuild\xmlparse.obj "..\source\expat\xmlparse.c" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\app_obuild\xmlrole.obj "..\source\expat\xmlrole.c" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\app_obuild\xmltok.obj "..\source\expat\xmltok.c" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Arguments.obj  /Tp"..\source\Lib\cxx\Arguments.cxx" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Out.obj  /Tp"..\source\Lib\cxx\Out.cxx" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Printer.obj  /Tp"..\source\Lib\cxx\Printer.cxx" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Debug.obj  /Tp"..\source\Lib\cxx\Debug.cxx" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\smanip.obj  /Tp"..\source\Lib\cxx\smanip.cxx" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\sout.obj  /Tp"..\source\Lib\cxx\sout.cxx" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\cmanip.obj  /Tp"..\source\Lib\cxx\cmanip.cxx" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\dirmanip.obj  /Tp"..\source\Lib\cxx\dirmanip.cxx" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\fmanip.obj  /Tp"..\source\Lib\cxx\fmanip.cxx" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\System.obj  /Tp"..\source\Lib\cxx\System.cxx" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\FileReader.obj  /Tp"..\source\Lib\cxx\FileReader.cxx" 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\FileWriter.obj  /Tp"..\source\Lib\cxx\FileWriter.cxx" 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Element.obj  /Tp"..\source\Lib\cxx\Element.cxx" 1> exe_error_19
@IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_19
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\ItemML.obj  /Tp"..\source\Lib\cxx\ItemML.cxx" 1> exe_error_20
@IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_20
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\BaseML.obj  /Tp"..\source\Lib\cxx\BaseML.cxx" 1> exe_error_21
@IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_21
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\GZipReader.obj  /Tp"..\source\Lib\cxx\GZipReader.cxx" 1> exe_error_22
@IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_22
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Time.obj  /Tp"..\source\Lib\cxx\Time.cxx" 1> exe_error_23
@IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_23
cd "%obuild_obuild_path%\obuild"

cd "%obuild_obuild_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_obuild\Shell.obj  /Tp"..\source\Shell.cxx" 1> exe_error_24
@IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_24
cd "%obuild_obuild_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_58
SET obuild_cxx_linker_command=link.exe
:end_if_platform_58
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_60
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_60
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_62
SET obuild_cxx_linker_options=/nologo
:end_if_platform_62
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_obuild_sh_63
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_obuild_sh_63
:else_if_db_build_app_obuild_sh_63
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_obuild_sh_63

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_obuild_sh_64
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_obuild_sh_64
:else_if_opt_build_app_obuild_sh_64
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_obuild_sh_64

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_obuild_0=%%d
cd "%obuild_obuild_path%\%obuild_dir_bin%"
IF EXIST .\app_obuild\tmp_objs DEL .\app_obuild\tmp_objs
FOR %%f IN (.\app_obuild\*.obj) DO ECHO %%f >> .\app_obuild\tmp_objs
REM # Link obuild :
IF EXIST .\obuild.exe DEL .\obuild.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\obuild.exe @.\app_obuild\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_obuild_0%"
SET obuild_pwd_obuild_0=
REM # Some cleanup :
IF EXIST "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild\tmp_objs" DEL "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild\tmp_objs"
IF EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.ilk" DEL "%obuild_obuild_path%\%obuild_dir_bin%\obuild.ilk"
IF EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.pdb" DEL "%obuild_obuild_path%\%obuild_dir_bin%\obuild.pdb"
IF EXIST "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild\tmp_objs" DEL "%obuild_obuild_path%\%obuild_dir_bin%\app_obuild\tmp_objs"
IF EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exp" DEL "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exp"

:obuild_return
ENDLOCAL
@ECHO ON
