/* G.Barrand */

#if defined(WIN32)

  #include "H5Tinit_win32.ic"

#elif defined(__APPLE__)

  #if defined(__i386__)
  #include "H5Tinit_macosx_intel.ic"
  #elif defined(__x86_64__)
  #include "H5Tinit_macosx_x86_64.ic"
  #else
  #include "H5Tinit_macosx.ic"
  #endif

#elif defined(__CYGWIN__)

  #if defined(__GNUC__)
  #include "H5Tinit_CYGWIN.ic"
  #else
  #error "CYGWIN with another compiler than gcc is not yet supported."
  #endif

#elif defined(__linux__)

  #if defined(__x86_64__)
  #include "H5Tinit_Linux_x86_64.ic"
  #else
  #include "H5Tinit_Linux.ic"
  #endif

#else

  #error "Unknown platform."

#endif
