@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package Lib with version v8r8p1.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_Lib_test_f77
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_Lib_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_Lib_path=%obuild_Lib_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_Lib_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_Lib_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_f77_command=f77.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_f77_command%" == ""  ECHO Variable obuild_f77_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_f77_options=/nologo /MD
:end_if_platform_3
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_Lib_test_f77_sh_4
  SET obuild_f77_debug_local=%obuild_f77_debug%
  GOTO end_if_db_build_app_Lib_test_f77_sh_4
:else_if_db_build_app_Lib_test_f77_sh_4
  SET obuild_f77_debug_local=
:end_if_db_build_app_Lib_test_f77_sh_4

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_Lib_test_f77_sh_5
  SET obuild_f77_optimize_local=%obuild_f77_optimize%
  GOTO end_if_opt_build_app_Lib_test_f77_sh_5
:else_if_opt_build_app_Lib_test_f77_sh_5
  SET obuild_f77_optimize_local=
:end_if_opt_build_app_Lib_test_f77_sh_5


IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77" RMDIR /S /Q "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77"
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77" MKDIR "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_Lib_path%\%obuild_dir_bin%"
%obuild_f77_command% /compile_only %obuild_f77_debug_local% %obuild_f77_optimize_local% %obuild_f77_options% %obuild_f77_macros% %obuild_f77_includes% /object:.\app_Lib_test_f77\Lib_test_f77.obj  "..\tests\Lib_test_f77.f"
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_Lib_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
SET obuild_f77_linker_command=link.exe
:end_if_platform_8
SET obuild_platform_result=
IF "%obuild_f77_linker_command%" == ""  ECHO Variable obuild_f77_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
SET obuild_f77_linker_debug=/DEBUG
:end_if_platform_10
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
SET obuild_f77_linker_options=/nologo /entry:mainCRTStartup
:end_if_platform_12
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_Lib_test_f77_sh_13
  SET obuild_f77_linker_debug_local=%obuild_f77_linker_debug%
  GOTO end_if_db_build_app_Lib_test_f77_sh_13
:else_if_db_build_app_Lib_test_f77_sh_13
  SET obuild_f77_linker_debug_local=
:end_if_db_build_app_Lib_test_f77_sh_13

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_Lib_test_f77_sh_14
  SET obuild_f77_linker_optimize_local=%obuild_f77_linker_optimize%
  GOTO end_if_opt_build_app_Lib_test_f77_sh_14
:else_if_opt_build_app_Lib_test_f77_sh_14
  SET obuild_f77_linker_optimize_local=
:end_if_opt_build_app_Lib_test_f77_sh_14

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Lib_0=%%d
cd "%obuild_Lib_path%\%obuild_dir_bin%"
IF EXIST .\app_Lib_test_f77\tmp_objs DEL .\app_Lib_test_f77\tmp_objs
FOR %%f IN (.\app_Lib_test_f77\*.obj) DO ECHO %%f >> .\app_Lib_test_f77\tmp_objs
REM # Link Lib_test_f77 :
IF EXIST .\Lib_test_f77.exe DEL .\Lib_test_f77.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_f77_linker_command% %obuild_f77_linker_debug_local% %obuild_f77_linker_optimize_local% %obuild_f77_linker_options% /out:.\Lib_test_f77.exe @.\app_Lib_test_f77\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_Lib_0%"
SET obuild_pwd_Lib_0=
REM # Some cleanup :
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77\tmp_objs" DEL "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77\tmp_objs"
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.ilk" DEL "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.ilk"
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.pdb" DEL "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.pdb"
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77\tmp_objs" DEL "%obuild_Lib_path%\%obuild_dir_bin%\app_Lib_test_f77\tmp_objs"
IF EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exp" DEL "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exp"

:obuild_return
ENDLOCAL
@ECHO ON
