// this :
#include <Lib/Parser.h>

//////////////////////////////////////////////////////////////////////////////
bool Lib::BaseParser::evaluate(
 const char* a_b
,Length a_l
,IResult& aResult
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(a_l==0) return false;
  Length count = 0;
  bool find_sep = false;
  const char* p_b = a_b;
  for(Length pos=0;pos<a_l;pos++,p_b++) {
    if((*p_b)==m_l_sep) {
      if(!find_sep && pos) {
        IResult* rright = create_result();
        bool status = evaluate(p_b,a_l-pos,*rright);
        if(status) {
          status = unary(a_b,pos,*rright,aResult);
        }
        delete rright;
        return status;
      }
      count++;
      find_sep = true;
    } else if((*p_b)==m_r_sep) {
      if(!find_sep && pos) return false; // "xxx)...".
      count--;
      if(pos==(a_l-1)) {
        return evaluate(a_b+1,a_l-2,aResult);
      }
    } else {
      if(count==0) {
        if(!find_sep) continue;

        IResult* rleft = create_result();
        bool status = evaluate(a_b,pos,*rleft);
        if(status) {

          Length lrest = a_l-pos; 

          bool found = false;
          Length lb;
         {const char* rest = p_b;
          for(lb=0;lb<lrest;lb++,rest++){
            if((*rest)==m_l_sep) {found=true;break;}
          }}

          if(!found) { // "...)xxx"
            status = false;
          } else {
            IResult* rright = create_result();
            status = evaluate(p_b+lb,lrest-lb,*rright);
            if(status) {
              status = binary(*rleft,p_b,lb,*rright,aResult);
            }
            delete rright;
          }
        }

        delete rleft;
        return status;
      }
    }
  }
  if(find_sep) return false;
  return primary(a_b,a_l,aResult);
}

