#include <Lib/Compiler.h>
#include <Lib/smanip.h>
#include <Lib/Printer.h>
#include <Lib/Out.h>
#include <Lib/Time.h>

#include <stdio.h>
#include <iostream>

int main(int argc,char* argv[]) {

/*
  std::vector<std::string> ss;
  ss.push_back("1");
  ss.push_back("22");
  ss.push_back("1");
  ss.push_back("333");
  ss.push_back("22");
  ss.push_back("");

  Lib::smanip::sort(ss,false);

  unsigned int number = ss.size();
  for(unsigned int index=0;index<number;index++) {
    printf("debug : \"%s\"\n",ss[index].c_str());
  }

  std::vector<std::string> words;
  Lib::smanip::words("/","/",words);
  printf("debug : %d words\n",(int)words.size());
	 //for(unsigned int index=0;index<words.size();index++) {
	 //}
 
  std::string root;
  if(!Lib::smanip::binRoot(argv[0],root)) {
    printf("\"%s\" not a binary\n",argv[0]);
  } else {
    printf("root is \"%s\"\n",root.c_str());
    std::string fname = root+"/scripts/sh/makcdll.sh";
    FILE* file = fopen(fname.c_str(),"rb");
    if(!file) printf("File \"%s\" not found\n",fname.c_str());
    else printf("File \"%s\" found\n",fname.c_str());
    if(file) fclose(file);
  }

  if(argc>1) {
    std::vector<unsigned int> vers;
    if(!Lib::smanip::version(argv[1],vers)) {
      printf("Not a version\n");
    } else {
      for(unsigned int index=0;index<vers.size();index++){
        printf("%d\n",vers[index]);
      }
    }
  }

  std::vector<double> vd;
  vd.push_back(3.14);
  vd.push_back(6.28);
  std::string s = Lib::smanip::tostring(vd);
  printf("vector<double>:|%s|\n",s.c_str());
*/

  Lib::Time start = Lib::Time::now();

  double r,g,b;
  std::string scolor("xxx");
  if(!Lib::smanip::torgb(scolor,r,g,b)) {
    printf("debug : color %s not found\n",scolor.c_str());
  }

  for(unsigned int index=0;index<1000000;index++) {
    Lib::smanip::torgb("red",r,g,b);
    //printf("debug : %g %g %g\n",r,g,b);
    Lib::smanip::torgb("mediumslateblue",r,g,b);
    //printf("debug : %g %g %g\n",r,g,b);
  }

  Lib::Time elapsed = Lib::Time::elapsed(start);
  std::cout << " elapsed " << elapsed.seconds() << " sec." << std::endl;

  return 0;
}
