#include <Lib/vmanip.h>

#include <stdio.h>

class Point : public std::vector<double> {
public:
  Point(double x,double y): std::vector<double>(2) {
    std::vector<double>* v = this;
    (*v)[0] = x;
    (*v)[1] = y;
  }
};  

int main() {
  
  //Point P(-1,0);
  Point P(0.5,0.5);

  Point V1(0,0);
  Point V2(1,0);
  Point V3(0.5,1);

  std::vector<Point> V;
  V.push_back(V1);
  V.push_back(V2);
  V.push_back(V3);
  V.push_back(V1);

  bool r;
  if(!Lib::inside<double,Point>(P,V,r)) {
    ::printf("inside failed\n");
    return 1;
  }

  ::printf("%d\n",r);

  return 0;
}