@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package Minuit with version v1r140p12.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_osc_Minuit
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_Minuit_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_Minuit_path=%obuild_Minuit_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%" MKDIR "%obuild_Minuit_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%" MKDIR "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_Minuit_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_Minuit_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_Minuit_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_osc_Minuit_sh_8
:else_if_db_build_lib_osc_Minuit_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_osc_Minuit_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_Minuit_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_osc_Minuit_sh_9
:else_if_opt_build_lib_osc_Minuit_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_osc_Minuit_sh_9



SET obuild_cxx_includes=/I"%obuild_Minuit_path%"

IF EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\lib_osc_Minuit" RMDIR /S /Q "%obuild_Minuit_path%\%obuild_dir_bin%\lib_osc_Minuit"
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\lib_osc_Minuit" MKDIR "%obuild_Minuit_path%\%obuild_dir_bin%\lib_osc_Minuit"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\AnalyticalGradientCalculator.obj  /Tp"..\src\AnalyticalGradientCalculator.cpp" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\BasicMinimumError.obj  /Tp"..\src\BasicMinimumError.cpp" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\CombinedMinimumBuilder.obj  /Tp"..\src\CombinedMinimumBuilder.cpp" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\DavidonErrorUpdator.obj  /Tp"..\src\DavidonErrorUpdator.cpp" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\HessianGradientCalculator.obj  /Tp"..\src\HessianGradientCalculator.cpp" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\InitialGradientCalculator.obj  /Tp"..\src\InitialGradientCalculator.cpp" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\LaEigenValues.obj  /Tp"..\src\LaEigenValues.cpp" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\LaInnerProduct.obj  /Tp"..\src\LaInnerProduct.cpp" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\LaInverse.obj  /Tp"..\src\LaInverse.cpp" 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\LaOuterProduct.obj  /Tp"..\src\LaOuterProduct.cpp" 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\LaSumOfElements.obj  /Tp"..\src\LaSumOfElements.cpp" 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\LaVtMVSimilarity.obj  /Tp"..\src\LaVtMVSimilarity.cpp" 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnApplication.obj  /Tp"..\src\MnApplication.cpp" 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnContours.obj  /Tp"..\src\MnContours.cpp" 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnCovarianceSqueeze.obj  /Tp"..\src\MnCovarianceSqueeze.cpp" 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnEigen.obj  /Tp"..\src\MnEigen.cpp" 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnFcn.obj  /Tp"..\src\MnFcn.cpp" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnFunctionCross.obj  /Tp"..\src\MnFunctionCross.cpp" 1> exe_error_17
@IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_17
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnGlobalCorrelationCoeff.obj  /Tp"..\src\MnGlobalCorrelationCoeff.cpp" 1> exe_error_18
@IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_18
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnHesse.obj  /Tp"..\src\MnHesse.cpp" 1> exe_error_19
@IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_19
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnLineSearch.obj  /Tp"..\src\MnLineSearch.cpp" 1> exe_error_20
@IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_20
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnMachinePrecision.obj  /Tp"..\src\MnMachinePrecision.cpp" 1> exe_error_21
@IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_21
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnMinos.obj  /Tp"..\src\MnMinos.cpp" 1> exe_error_22
@IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_22
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnParabolaFactory.obj  /Tp"..\src\MnParabolaFactory.cpp" 1> exe_error_23
@IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_23
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnParameterScan.obj  /Tp"..\src\MnParameterScan.cpp" 1> exe_error_24
@IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_24
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnPlot.obj  /Tp"..\src\MnPlot.cpp" 1> exe_error_25
@IF ERRORLEVEL 1 @TYPE exe_error_25 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_25
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnPosDef.obj  /Tp"..\src\MnPosDef.cpp" 1> exe_error_26
@IF ERRORLEVEL 1 @TYPE exe_error_26 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_26
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnPrint.obj  /Tp"..\src\MnPrint.cpp" 1> exe_error_27
@IF ERRORLEVEL 1 @TYPE exe_error_27 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_27
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnScan.obj  /Tp"..\src\MnScan.cpp" 1> exe_error_28
@IF ERRORLEVEL 1 @TYPE exe_error_28 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_28
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnSeedGenerator.obj  /Tp"..\src\MnSeedGenerator.cpp" 1> exe_error_29
@IF ERRORLEVEL 1 @TYPE exe_error_29 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_29
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnStrategy.obj  /Tp"..\src\MnStrategy.cpp" 1> exe_error_30
@IF ERRORLEVEL 1 @TYPE exe_error_30 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_30
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnTiny.obj  /Tp"..\src\MnTiny.cpp" 1> exe_error_31
@IF ERRORLEVEL 1 @TYPE exe_error_31 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_31
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnUserFcn.obj  /Tp"..\src\MnUserFcn.cpp" 1> exe_error_32
@IF ERRORLEVEL 1 @TYPE exe_error_32 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_32
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnUserParameterState.obj  /Tp"..\src\MnUserParameterState.cpp" 1> exe_error_33
@IF ERRORLEVEL 1 @TYPE exe_error_33 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_33
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnUserParameters.obj  /Tp"..\src\MnUserParameters.cpp" 1> exe_error_34
@IF ERRORLEVEL 1 @TYPE exe_error_34 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_34
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\MnUserTransformation.obj  /Tp"..\src\MnUserTransformation.cpp" 1> exe_error_35
@IF ERRORLEVEL 1 @TYPE exe_error_35 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_35
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\ModularFunctionMinimizer.obj  /Tp"..\src\ModularFunctionMinimizer.cpp" 1> exe_error_36
@IF ERRORLEVEL 1 @TYPE exe_error_36 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_36
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\NegativeG2LineSearch.obj  /Tp"..\src\NegativeG2LineSearch.cpp" 1> exe_error_37
@IF ERRORLEVEL 1 @TYPE exe_error_37 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_37
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\Numerical2PGradientCalculator.obj  /Tp"..\src\Numerical2PGradientCalculator.cpp" 1> exe_error_38
@IF ERRORLEVEL 1 @TYPE exe_error_38 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_38
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\ScanBuilder.obj  /Tp"..\src\ScanBuilder.cpp" 1> exe_error_39
@IF ERRORLEVEL 1 @TYPE exe_error_39 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_39
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\SimplexBuilder.obj  /Tp"..\src\SimplexBuilder.cpp" 1> exe_error_40
@IF ERRORLEVEL 1 @TYPE exe_error_40 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_40
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\SimplexParameters.obj  /Tp"..\src\SimplexParameters.cpp" 1> exe_error_41
@IF ERRORLEVEL 1 @TYPE exe_error_41 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_41
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\SimplexSeedGenerator.obj  /Tp"..\src\SimplexSeedGenerator.cpp" 1> exe_error_42
@IF ERRORLEVEL 1 @TYPE exe_error_42 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_42
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\SinParameterTransformation.obj  /Tp"..\src\SinParameterTransformation.cpp" 1> exe_error_43
@IF ERRORLEVEL 1 @TYPE exe_error_43 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_43
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\SqrtLowParameterTransformation.obj  /Tp"..\src\SqrtLowParameterTransformation.cpp" 1> exe_error_44
@IF ERRORLEVEL 1 @TYPE exe_error_44 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_44
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\SqrtUpParameterTransformation.obj  /Tp"..\src\SqrtUpParameterTransformation.cpp" 1> exe_error_45
@IF ERRORLEVEL 1 @TYPE exe_error_45 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_45
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\VariableMetricBuilder.obj  /Tp"..\src\VariableMetricBuilder.cpp" 1> exe_error_46
@IF ERRORLEVEL 1 @TYPE exe_error_46 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_46
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\VariableMetricEDMEstimator.obj  /Tp"..\src\VariableMetricEDMEstimator.cpp" 1> exe_error_47
@IF ERRORLEVEL 1 @TYPE exe_error_47 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_47
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mnbins.obj  /Tp"..\src\mnbins.cpp" 1> exe_error_48
@IF ERRORLEVEL 1 @TYPE exe_error_48 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_48
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mndasum.obj  /Tp"..\src\mndasum.cpp" 1> exe_error_49
@IF ERRORLEVEL 1 @TYPE exe_error_49 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_49
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mndaxpy.obj  /Tp"..\src\mndaxpy.cpp" 1> exe_error_50
@IF ERRORLEVEL 1 @TYPE exe_error_50 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_50
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mnddot.obj  /Tp"..\src\mnddot.cpp" 1> exe_error_51
@IF ERRORLEVEL 1 @TYPE exe_error_51 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_51
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mndscal.obj  /Tp"..\src\mndscal.cpp" 1> exe_error_52
@IF ERRORLEVEL 1 @TYPE exe_error_52 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_52
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mndspmv.obj  /Tp"..\src\mndspmv.cpp" 1> exe_error_53
@IF ERRORLEVEL 1 @TYPE exe_error_53 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_53
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mndspr.obj  /Tp"..\src\mndspr.cpp" 1> exe_error_54
@IF ERRORLEVEL 1 @TYPE exe_error_54 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_54
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mnlsame.obj  /Tp"..\src\mnlsame.cpp" 1> exe_error_55
@IF ERRORLEVEL 1 @TYPE exe_error_55 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_55
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mnteigen.obj  /Tp"..\src\mnteigen.cpp" 1> exe_error_56
@IF ERRORLEVEL 1 @TYPE exe_error_56 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_56
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mntplot.obj  /Tp"..\src\mntplot.cpp" 1> exe_error_57
@IF ERRORLEVEL 1 @TYPE exe_error_57 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_57
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mnvert.obj  /Tp"..\src\mnvert.cpp" 1> exe_error_58
@IF ERRORLEVEL 1 @TYPE exe_error_58 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_58
cd "%obuild_Minuit_path%\obuild"

cd "%obuild_Minuit_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_osc_Minuit\mnxerbla.obj  /Tp"..\src\mnxerbla.cpp" 1> exe_error_59
@IF ERRORLEVEL 1 @TYPE exe_error_59 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_59
cd "%obuild_Minuit_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_73
SET obuild_cxx_linker_command=link.exe
:end_if_platform_73
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_75
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_75
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_77
SET obuild_cxx_linker_options=/nologo
:end_if_platform_77
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_Minuit_sh_78
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_osc_Minuit_sh_78
:else_if_db_build_lib_osc_Minuit_sh_78
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_osc_Minuit_sh_78

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_Minuit_sh_79
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_osc_Minuit_sh_79
:else_if_opt_build_lib_osc_Minuit_sh_79
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_osc_Minuit_sh_79

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_Minuit_0=%%d
cd "%obuild_Minuit_path%\%obuild_dir_bin%"
IF EXIST .\lib_osc_Minuit\tmp_objs DEL .\lib_osc_Minuit\tmp_objs
FOR %%f IN (.\lib_osc_Minuit\*.obj) DO ECHO %%f >> .\lib_osc_Minuit\tmp_objs

REM # Create the archive library osc_Minuit :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_osc_Minuit\osc_Minuit.arc @.\lib_osc_Minuit\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_Minuit_path%\obuild\cpp\obuild_windef.c" 1> exe_error_60
@IF ERRORLEVEL 1 @TYPE exe_error_60 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_60
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_osc_Minuit\tmp .\lib_osc_Minuit\osc_Minuit.arc 1> exe_error_61
@IF ERRORLEVEL 1 @TYPE exe_error_61 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_61
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe osc_Minuit < .\lib_osc_Minuit\tmp > .\lib_osc_Minuit\osc_Minuit.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\osc_Minuit.lib /def:.\lib_osc_Minuit\osc_Minuit.def 1> exe_error_62
@IF ERRORLEVEL 1 @TYPE exe_error_62 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_62
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\osc_Minuit.dll DEL .\osc_Minuit.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\osc_Minuit.dll .\osc_Minuit.exp .\lib_osc_Minuit\osc_Minuit.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_Minuit_0%"
SET obuild_pwd_Minuit_0=
REM # Some cleanup :
IF EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\lib_osc_Minuit\tmp_objs" DEL "%obuild_Minuit_path%\%obuild_dir_bin%\lib_osc_Minuit\tmp_objs"
IF EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.exp" DEL "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.exp"

:obuild_return
ENDLOCAL
@ECHO ON
