/bin/mkdir -p "@@dir_bin@@"
if ( ! -e "@@dir_bin@@/obuild_find" ) then
  if ( ! -e "@@dir_package@@/obuild/cpp/obuild_find.cpp" ) then
    echo "Program source obuild_find.cpp not found."
    exit
  endif
  if ( $?obuild_cxx_command ) then
    if ( "${obuild_cxx_command}" == "" ) then
      if (  $?OBUILD_CXX ) then
        set obuild_find_compiler=${OBUILD_CXX}
      else
        set obuild_find_compiler=c++
      endif
    else
      set obuild_find_compiler=${obuild_cxx_command}
    endif
  else
    set obuild_find_compiler=c++
  endif
  ${obuild_find_compiler} -o "@@dir_bin@@/obuild_find" "@@dir_package@@/obuild/cpp/obuild_find.cpp"
  unset obuild_find_compiler
  if ( ! -e "@@dir_bin@@/obuild_find" ) then
    echo "Program obuild_find not found."
    exit
  endif
endif
set obuild_find_exe="@@dir_bin@@/obuild_find"
